All : keytrap.obj swapbas.obj\
 ascii.exe hexlist.exe bios.exe copyit.exe count.exe deldir.exe\
 delete.exe dirattr.exe dirs.exe diskcomp.exe diskcopy.exe drives.exe\
 filecomp.exe findall.exe findcode.exe finddoc.exe findvar.exe findy.exe\
 listvols.exe lowerdtr.exe makdir.exe mkserial.exe mkvolbpb.exe nameit.exe\
 newdir.exe newname.exe newvol.exe parse.exe raisedtr.exe rdserial.exe rdsystem.exe\
 rdvolbpb.exe rdvolume.exe readdll2.exe readqlb.exe rendir.exe renvol.exe runprog.exe\
 setattr.exe stree.exe touch.exe touchdir.exe\
 touchvol.exe treedel.exe typea.exe typey.exe uninstal.exe whatis.exe\
 whereis.exe xcount.exe xdir.exe xtree.exe zsort.exe\
 tee.exe tee2.exe tee3.exe hexcalc.exe machine.exe

Keytrap.Obj :: Keytrap.Asm
 Tasm /t Keytrap;

Swapbas.Obj :: Swapbas.Asm
 Tasm /t Swapbas;

b = /ah/o/g3/s;
c = /ah/o/x/g3/s;
d = /ah/o/e/g3/s;

ascii.obj :: ascii.bas
 bc ascii$c
ascii.exe :: ascii.obj
 link ascii.obj,ascii.exe,Nul,vbdos.lib/e;

bios.obj :: bios.bas
 bc bios/o;
bios.exe :: bios.obj
 link bios.obj,bios.exe,Nul,/e;

copyit.obj :: copyit.bas copyit.inc
 bc copyit$c
copyit1.obj :: copyit1.bas copyit.inc
 bc copyit1$d
copyit.exe :: copyit.obj copyit1.obj keytrap.obj
 link copyit.obj+copyit1.obj+keytrap,copyit.exe,Nul,vbdos+error/e;

count.obj :: count.bas
 bc count/o;
count.exe :: count.obj
 link count.obj,count.exe,Nul,/e;

deldir.obj :: deldir.bas
 bc deldir$c
deldir.exe :: deldir.obj keytrap.obj
 link deldir.obj+keytrap,deldir.exe,Nul,vbdos.lib+error.lib/e;

delete.obj :: delete.bas
 bc delete$c
delete.exe :: delete.obj keytrap.obj
 link delete.obj+keytrap,delete.exe,Nul,vbdos.lib+error.lib/e;

dirattr.obj :: dirattr.bas
 bc dirattr$c
dirattr.exe :: dirattr.obj keytrap.obj
 link dirattr.obj+keytrap,dirattr.exe,Nul,vbdos.lib+error.lib/e;

dirs.obj :: dirs.bas
 bc dirs$c
dirs.exe :: dirs.obj keytrap.obj
 link dirs.obj+keytrap,dirs.exe,Nul,vbdos.lib+error.lib/e;

diskcomp.obj :: diskcomp.bas
 bc diskcomp$c
diskcomp.exe :: diskcomp.obj
 link diskcomp.obj,diskcomp.exe,Nul,vbdos.lib+error/e;

diskcopy.obj :: diskcopy.bas
 bc diskcopy$c
diskcopy.exe :: diskcopy.obj
 link diskcopy.obj,diskcopy.exe,Nul,vbdos.lib+error/e;

drives.obj :: drives.bas
 bc drives$c
drives.exe :: drives.obj keytrap.obj
 link drives.obj+keytrap,drives.exe,Nul,vbdos.lib+error.lib/e;

filecomp.obj :: filecomp.bas
 bc filecomp$c
filecomp.exe :: filecomp.obj
 link filecomp.obj,filecomp.exe,Nul,vbdos.lib+error/e;

findall.obj :: findall.bas
 bc findall$b
findall.exe :: findall.obj
 link findall.obj,findall.exe,Nul,vbdos.lib/e;

findcode.obj :: findcode.bas
 bc findcode$b
findcode.exe :: findcode.obj
 link findcode.obj,findcode.exe,Nul,vbdos.lib/e;

findvar.obj :: findvar.bas
 bc findvar$b
findvar.exe :: findvar.obj
 link findvar.obj,findvar.exe,Nul,vbdos.lib/e;

finddoc.obj :: finddoc.bas
 bc finddoc$b
finddoc.exe :: finddoc.obj
 link finddoc.obj,finddoc.exe,Nul,vbdos.lib/e;

findy.obj :: findy.bas
 bc findy$c
findy.exe :: findy.obj keytrap.obj
 link findy.obj+keytrap,findy.exe,Nul,vbdos.lib+error/e;

hexlist.obj :: hexlist.bas
 bc hexlist$c
hexlist.exe :: hexlist.obj
 link hexlist.obj,hexlist.exe,Nul,vbdos.lib/e;

listvols.obj :: listvols.bas
 bc listvols$c
listvols.exe :: listvols.obj keytrap.obj
 link listvols.obj+keytrap,listvols.exe,Nul,vbdos.lib+error.lib/e;

lowerdtr.obj :: lowerdtr.bas
 bc lowerdtr$c
lowerdtr.exe :: lowerdtr.obj
 link lowerdtr.obj,lowerdtr.exe,Nul,vbdos.lib/e;

makdir.obj :: makdir.bas
 bc makdir$c
makdir.exe :: makdir.obj keytrap.obj
 link makdir.obj+keytrap,makdir.exe,Nul,vbdos.lib+error.lib/e;

mkserial.obj :: mkserial.bas
 bc mkserial$c
mkserial.exe :: mkserial.obj keytrap.obj
 link mkserial.obj+keytrap,mkserial.exe,Nul,vbdos.lib+error.lib/e;

mkvolbpb.obj :: mkvolbpb.bas
 bc mkvolbpb$c
mkvolbpb.exe :: mkvolbpb.obj keytrap.obj
 link mkvolbpb.obj+keytrap,mkvolbpb.exe,Nul,vbdos.lib+error.lib/e;

nameit.obj :: nameit.bas
 bc nameit$c
nameit.exe :: nameit.obj keytrap.obj
 link nameit.obj+keytrap,nameit.exe,Nul,vbdos.lib+error.lib/e;

newdir.obj :: newdir.bas
 bc newdir$c
newdir.exe :: newdir.obj keytrap.obj
 link newdir.obj+keytrap,newdir.exe,Nul,vbdos.lib+error.lib/e;

newname.obj :: newname.bas
 bc newname$c
newname.exe :: newname.obj keytrap.obj
 link newname.obj+keytrap,newname.exe,Nul,vbdos.lib+error.lib/e;

newvol.obj :: newvol.bas
 bc newvol$c
newvol.exe :: newvol.obj keytrap.obj
 link newvol.obj+keytrap,newvol.exe,Nul,vbdos.lib+error/e;

parse.obj :: parse.bas
 bc parse$c
parse.exe :: parse.obj keytrap.obj
 link parse.obj+keytrap,parse.exe,Nul,vbdos.lib/e;

raisedtr.obj :: raisedtr.bas
 bc raisedtr$c
raisedtr.exe :: raisedtr.obj
 link raisedtr.obj,raisedtr.exe,Nul,vbdos.lib/e;

rdserial.obj :: rdserial.bas
 bc rdserial$c
rdserial.exe :: rdserial.obj keytrap.obj
 link rdserial.obj+keytrap,rdserial.exe,Nul,vbdos.lib+error.lib/e;

rdsystem.obj :: rdsystem.bas
 bc rdsystem$c
rdsystem.exe :: rdsystem.obj keytrap.obj
 link rdsystem.obj+keytrap,rdsystem.exe,Nul,vbdos.lib+error.lib/e;

rdvolbpb.obj :: rdvolbpb.bas
 bc rdvolbpb$c
rdvolbpb.exe :: rdvolbpb.obj keytrap.obj
 link rdvolbpb.obj+keytrap,rdvolbpb.exe,Nul,vbdos.lib+error.lib/e;

rdvolume.obj :: rdvolume.bas
 bc rdvolume$c
rdvolume.exe :: rdvolume.obj keytrap.obj
 link rdvolume.obj+keytrap,rdvolume.exe,Nul,vbdos.lib+error.lib/e;

readdll2.obj :: readdll2.bas
 bc readdll2$c
readdll2.exe :: readdll2.obj keytrap.obj
 link readdll2.obj+keytrap,readdll2.exe,Nul,vbdos.lib+error.lib/e;

readqlb.obj :: readqlb.bas
 bc readqlb$c
readqlb.exe :: readqlb.obj keytrap.obj
 link readqlb.obj+keytrap,readqlb.exe,Nul,vbdos.lib+error.lib/e;

rendir.obj :: rendir.bas
 bc rendir$c
rendir.exe :: rendir.obj keytrap.obj
 link rendir.obj+keytrap,rendir.exe,Nul,vbdos.lib+error.lib/e;

renvol.obj :: renvol.bas
 bc renvol$c
renvol.exe :: renvol.obj keytrap.obj
 link renvol.obj+keytrap,renvol.exe,Nul,vbdos.lib+error/e;

runprog.obj :: runprog.bas
 bc runprog$c
runprog.exe :: runprog.obj swapbas.obj
 link swapbas+runprog.obj,runprog.exe,Nul,vbdos.lib/e;

setattr.obj :: setattr.bas
 bc setattr$c
setattr.exe :: setattr.obj keytrap.obj
 link setattr.obj+keytrap,setattr.exe,Nul,vbdos.lib+error.lib/e;

stree.obj :: stree.bas
 bc stree$c
stree.exe :: stree.obj keytrap.obj
 link stree.obj+keytrap,stree.exe,Nul,vbdos.lib/e;

touch.obj :: touch.bas
 bc touch$c
touch.exe :: touch.obj keytrap.obj
 link touch.obj+keytrap,touch.exe,Nul,vbdos.lib+error.lib/e;

touchdir.obj :: touchdir.bas
 bc touchdir$c
touchdir.exe :: touchdir.obj keytrap.obj
 link touchdir.obj+keytrap,touchdir.exe,Nul,vbdos.lib+error.lib/e;

touchvol.obj :: touchvol.bas
 bc touchvol$c
touchvol.exe :: touchvol.obj keytrap.obj
 link touchvol.obj+keytrap,touchvol.exe,Nul,vbdos.lib+error.lib/e;

treedel.obj :: treedel.bas
 bc treedel$c
treedel.exe :: treedel.obj keytrap.obj
 link treedel.obj+keytrap,treedel.exe,Nul,vbdos.lib+error.lib/e;

typea.obj :: typea.bas
 bc typea$c
typea.exe :: typea.obj keytrap.obj
 link typea.obj+keytrap,typea.exe,Nul,vbdos.lib+error/e;

typey.obj :: typey.bas
 bc typey$c
typey.exe :: typey.obj keytrap.obj
 link typey.obj+keytrap,typey.exe,Nul,vbdos.lib+error.lib/e;

uninstal.obj :: uninstal.bas
 bc uninstal/ah/s/x/o;
uninstal.exe :: uninstal.obj
 link uninstal.obj,uninstal.exe,Nul,vbdos.lib+error.lib/e;

whatis.obj :: whatis.bas whatis.inc
 bc whatis$c
whatis1.obj :: whatis1.bas whatis.inc
 bc whatis1$c
whatis.exe :: whatis.obj whatis1.obj keytrap.obj
 link whatis.obj+whatis1.obj+keytrap,whatis.exe,Nul,vbdos.lib+error/e;

whereis.obj :: whereis.bas
 bc whereis$c
whereis.exe :: whereis.obj keytrap.obj
 link whereis.obj+keytrap,whereis.exe,Nul,vbdos.lib+error.lib/e;

xcount.obj :: xcount.bas
 bc xcount$c
xcount.exe :: xcount.obj keytrap.obj
 link xcount.obj+keytrap,xcount.exe,Nul,vbdos.lib+error.lib/e;

xdir.obj :: xdir.bas
 bc xdir$c
xdir.exe :: xdir.obj keytrap.obj
 link xdir.obj+keytrap,xdir.exe,Nul,vbdos.lib+error.lib/e;

xtree.obj :: xtree.bas
 bc xtree$c
xtree.exe :: xtree.obj keytrap.obj
 link xtree.obj+keytrap,xtree.exe,Nul,vbdos.lib+error.lib/e;

zsort.obj :: zsort.bas
 bc zsort$c
zsort.exe :: zsort.obj keytrap.obj
 link zsort.obj+keytrap,zsort.exe,Nul,vbdos.lib+error/e;

tee.obj :: tee.bas
 bc tee$c
tee.exe :: tee.obj
 link tee.obj,tee.exe,Nul,vbdos.lib/e;

tee2.obj :: tee2.bas
 bc tee2$c
tee2.exe :: tee2.obj
 link tee2.obj,tee2.exe,Nul,vbdos.lib/e;

tee3.obj :: tee3.bas
 bc tee3$c
tee3.exe :: tee3.obj
 link tee3.obj,tee3.exe,Nul,vbdos.lib/e;

hexcalc.obj :: hexcalc.bas
 bc hexcalc$c
hexcalc.exe :: hexcalc.obj
 link hexcalc.obj,hexcalc.exe,Nul,vbdos.lib+error/e;

machine.obj :: machine.bas
 bc machine$c
machine.exe :: machine.obj
 link machine.obj,machine.exe,Nul,vbdos.lib+error/e;
